Subject: RE: [Sip] draft-ietf-sip-outbound

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Thu, 30 Mar 2006 13:11:06 +0100

The meeting report will report the agreements (and possibly discussions) made at the meeting.

It is not the responsibility of the meeting report to document the extensive exchange of emails before the meeting, which contains 80% of the base input to the decisions that were made.

regards

Keith
-----Original Message-----
From: Christer Holmberg (JO/LMF) [mailto:[email-masked]]
Sent: 29 March 2006 20:37
To: Francois Audet; Elwell, John; Chris Boulton; Hisham Khartabil; Samir Srivastava
Cc: [email-masked]
Subject: RE: [Sip] draft-ietf-sip-outbound

Hi,

As I said, it doesn't have to be in the document - it can be in the meeting report.

All I'm asking for, since I wasn't able to attend the meeting, are the arguments that were presented, which were then used for people to vote for a specific solution. Is that too much to ask for??? 

I don't think what I'm asking for is going to delay the work on the draft. A choise has been made, and we should stick to it. 

Regards,

Christer

From: Francois Audet [mailto:[email-masked]] 
Sent: 29. maaliskuuta 2006 19:23
To: Christer Holmberg (JO/LMF); Elwell, John; Chris Boulton; Hisham Khartabil; Samir Srivastava
Cc: [email-masked]
Subject: RE: [Sip] draft-ietf-sip-outbound

I don't understand why we need to do this. We've never done this before in IETF that I can remember,
and it seems to me to bean undue burden on the editors.  Being a bunch of engineers, we risk arguing
endlessly about the justification itself (like we did on the mailing list for 12 months).

Instead of "making it go away", this explanation will just bring us back 12 months.

If the vote had been really close, maybe, but it wasn't: it was me and four others against 185.

I'd rather we spend time issuing the draft, and finishing up the vast number of drafts waiting in the
queue.

----
François AUDET, Nortel Networks
mailto:[email-masked]

-----Original Message-----
From: Christer Holmberg (JO/LMF) [mailto:[email-masked]]
Sent: Wed 29-Mar-06 4:10 AM
To: Elwell, John; Chris Boulton; Hisham Khartabil; Srivastava, Samir [SC100:8826:EXCH]
Cc: [email-masked]
Subject: RE: [Sip] draft-ietf-sip-outbound

Hi,

If the meeting report will show why this solution was chosen, compared
to others, and the arguments/pros/cons that were presented for the
different solutions, before people were asked to raise their hand for
one of the solutions, I will be happy.

If the meeting report will only say "There was a concensus for STUN" it
won't help very much, and I am pretty sure questions will come up again
in the future ("I have just read this RFC, and I wonder why I can't use
<insert-your-favorite-method> instead.").

Also, since the network initiated keep-alives obviously were not
discussed (please correct me if I'm wrong), I wonder if it would be
possible to add some text in the draft indicating it is "out of the
scope of the document", it is "for future work", or whatever, because as
far as I am aware the whole discussion/scope has been about UA initiaded
keep-alives.

Regards,

Christer

-----Original Message-----
From: Elwell, John [mailto:[email-masked]]
Sent: 29. maaliskuuta 2006 15:01
To: Chris Boulton; Hisham Khartabil; Samir Srivastava
Cc: [email-masked]
Subject: RE: [Sip] draft-ietf-sip-outbound

Yes, the mailing list archives and meeting minutes will show the
reasons. I don't see the need for yet another draft and endless
discussion during its production. Don't we have enough work to do? Let's
just move on and get outbound finished.

John

> -----Original Message-----
> From: Chris Boulton [mailto:[email-masked]]
> Sent: 29 March 2006 12:47
> To: Hisham Khartabil; Samir Srivastava
> Cc: [email-masked]
> Subject: RE: [Sip] draft-ietf-sip-outbound
>
> I'm with Hisham on this - this has been discussed at length and a
> choice has been made.  I certainly don't see the need to add another
> draft - we have way too many to read as it is.  I was also at the
> meeting and feel that such decisions should just be accepted (the
> consensus was
> overwhelming) - otherwise we will find ourselves stuck on the same old

> IETF roundabout.
>
> Chris.
>
>
> -----Original Message-----
> From: Hisham Khartabil [mailto:[email-masked]]
> Sent: 29 March 2006 08:42
> To: Samir Srivastava
> Cc: [email-masked]
> Subject: Re: [Sip] draft-ietf-sip-outbound
>
> I don't agree. This is being done without documenting it. Once
> documented, it will never go away. We all know that.
>
> Hisham
>
> On Mar 28, 2006, at 10:38 PM, Samir Srivastava wrote:
>
> >
> > This seems like a good reason for this (or another) draft
> to discuss
> > the
> > alternative solutions for use until the STUN solution is
> supported by
> > both devices.  Since the draft is basically silent, vendors
> will just
> > fallback to flooding the network with their favorite SIP request
> > (REGISTERs, etcetera) for solving the problem without much
> guidance or
> > potential optimizations.
> >
> >
> > SS>> I agree.
> >
> > I captured following from SIPIT-16 (Apr 05) report. I couldn't find
> > SIPIT-17 report from archive.  Can somebody update on outbound from
> > that.
> >
> > "There were 10 teams with implementations doing various things to
> > keep NAT bindings alive (sending CRLFs, empty media packets, etc).
> > The remainder were not attempting to address the problem at this
> > time."
> >
> > There are *Empty Media Packets* too !!
> >
> >
> > Thx
> > Samir
> >
> >
> > _______________________________________________
> > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP Protocol Use
> > [email-masked] for questions on current sip Use
> > [email-masked] for new developments on the application of sip
> >
> >
> > _______________________________________________
> > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP Protocol Use
> > [email-masked] for questions on current sip Use
> > [email-masked] for new developments on the application of sip
> >
>
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use
> [email-masked] for questions on current sip Use
> [email-masked] for new developments on the application of sip
>
>
> Information contained in this e-mail and any attachments are intended
> for the use of the addressee only, and may contain confidential
> information of Ubiquity Software Corporation.
> All unauthorized use, disclosure or distribution is strictly
> prohibited.  If you are not the addressee, please notify the sender
> immediately and destroy all copies of this email.
> Unless otherwise expressly agreed in writing signed by an officer of
> Ubiquity Software Corporation, nothing in this communication shall be
> deemed to be legally binding.  Thank you.
>
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use
> [email-masked] for questions on current sip Use
> [email-masked] for new developments on the application of sip
>

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip